> For the complete documentation index, see [llms.txt](https://docs.tutelar.io/tutelar-api-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tutelar.io/tutelar-api-document/kyc-verification/document-verification/india/aadhaar-lite.md).

# Aadhaar Lite

API authenticates the validity and details of an individual's Aadhaar number, providing a secure means for identity verification in various applications.

## ind\_aadhaar\_lite

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/kyc/identity/ind_aadhaar_lite`

### Post parameters description is given below,

<table><thead><tr><th width="197">Post Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>aadhaar_number </td><td>String </td><td>Yes </td><td>Your Aadhaar Number</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
    "aadhaar_number": "123456789012"
}
```

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "status": "completed",
    "reference_id": "00eaf2b5-716d-41ad-8f2a-4f8e08de3129",
    "result": {
        "aadhaar_number": "123456789012",
        "age_range": "20-30",
        "state": "Tamil Nadu",
        "gender": "M",
        "last_digits": "167",
        "is_mobile": true
    },
    "requested_at": "2026-02-27T08:53:04.074Z",
    "completed_at": "2026-02-27T07:28:54.677Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "93771444-76a4-4178-b25f-2b36ec6b0596",
    "status": "in_progress",
    "requested_at": "2026-02-26T09:26:36.780Z"
}
```

{% endtab %}

{% tab title="400: Validation Error Response" %}

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid Aadhaar Number",
    "error": {
        "message": "Invalid Aadhaar Number",
        "field": "aadhaar_number",
        "code": "BAD_REQUEST"
    }
}

{
    "success": false,
    "code": 400,
    "message": "Aadhaar Number should not be empty",
    "error": {
        "message": "Aadhaar Number should not be empty",
        "field": "aadhaar_number",
        "code": "BAD_REQUEST"
    }
}
```

{% endtab %}

{% tab title="200:  Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "93771444-76a4-4178-b25f-2b36ec6b0596",
    "status": "failed",
    "error": {
        "message": "Aadhaar Number Not Found",
        "code": "ERROR"
    },
    "requested_at": "2026-02-27T08:53:04.074Z",
    "completed_at": "2026-02-27T07:28:54.677Z"
}
```

{% endtab %}
{% endtabs %}

## Get  details

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/kyc/identity/ind_aadhaar_lite`

### Query parameters description is given below,

<table><thead><tr><th width="197">Query Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>reference_id</td><td>String </td><td>Yes </td><td>Document reference id</td></tr></tbody></table>

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "status": "completed",
    "reference_id": "00eaf2b5-716d-41ad-8f2a-4f8e08de3129",
    "result": {
        "aadhaar_number": "123456789012",
        "age_range": "20-30",
        "state": "Tamil Nadu",
        "gender": "M",
        "last_digits": "167",
        "is_mobile": true
    },
    "requested_at": "2026-02-27T08:53:04.074Z",
    "completed_at": "2026-02-27T07:28:54.677Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "93771444-76a4-4178-b25f-2b36ec6b0596",
    "status": "in_progress",
    "requested_at": "2026-02-26T09:26:36.780Z"
}
```

{% endtab %}

{% tab title="200:  Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "93771444-76a4-4178-b25f-2b36ec6b0596",
    "status": "failed",
    "error": {
        "message": "Aadhaar Number Not Found",
        "code": "ERROR"
    },
    "requested_at": "2024-04-18T09:24:03.268Z",
    "completed_at": "2024-04-18T09:24:04.471Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/kyc-verification/document-verification/india/aadhaar-lite.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
